# class AssetManifest

#### package lime.utils

#### extended by AssetManifest

Available on all platforms

### Constructor

###

`new ()`

### Variables

###

`assets:Array<Dynamic>`

###

`libraryArgs:Array<String>`

###

`libraryType:String`

###

`name:String`

###

`rootPath:String`

###

`version:Int`

### Methods

###

`serialize ():String`

### Static methods

###

`staticfromBytes (bytes:Bytes, ?rootPath:String):AssetManifest`

###

`staticfromFile (path:String, ?rootPath:String):AssetManifest`

###

`staticloadFromBytes (bytes:Bytes, ?rootPath:String):Future<AssetManifest>`

###

`staticloadFromFile (path:String, ?rootPath:String):Future<AssetManifest>`

###

`staticparse (data:String, ?rootPath:String):AssetManifest`